oracle.xml.binxml

## Class BinXMLSerializer

- java.lang.Object
- - oracle.xml.binxml.BinXMLSerializer

    public class BinXMLSerializer
    extends java.lang.Object

The BinXMLSerializer class provides pull style serialization

### Field Summary

Fields
`static java.lang.String` `ENCODING` Output encoding property
`static java.lang.String` `INDENT` Output Indenting
`static java.lang.String` `OMIT_XML_DECL` Print XML Declaration

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.InputStream` `getInputStream()` Get inputStream from serializer
`java.io.Reader` `getReader()` Get reader from serializer
`void` `setProperty(java.lang.String property, java.lang.Object value)` Set output printing properties

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENCODING

    public static final java.lang.String ENCODING

Output encoding property

See Also:
  `setProperty(java.lang.String, java.lang.Object)`, Constant Field Values

#### INDENT

    public static final java.lang.String INDENT

Output Indenting

See Also:
  `setProperty(java.lang.String, java.lang.Object)`, Constant Field Values

#### OMIT_XML_DECL

    public static final java.lang.String OMIT_XML_DECL

Print XML Declaration

See Also:
  `setProperty(java.lang.String, java.lang.Object)`, Constant Field Values

### Method Detail

#### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException,
                                              BinXMLException

Get inputStream from serializer

Returns:
  InputStream
Throws:
  `java.io.IOException`
  `BinXMLException`

#### getReader

    public java.io.Reader getReader()
                             throws java.io.IOException,
                                    BinXMLException

Get reader from serializer

Returns:
  Reader
Throws:
  `java.io.IOException`
  `BinXMLException`

#### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.Object value)

Set output printing properties

Parameters:
  `property` -
  `value` - of the property

Copyright © 2003, 2020, Oracle and/or its affiliates.